/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.database.columns;

import org.dussan.vaadin.dvirtual.database.Database;
import org.dussan.vaadin.dvirtual.i18n.Translation;

public enum UserColumns
{

    ADMINISTRATOR( Translation.FIELD_ADMINISTRATOR ),
    APPLICATION( Translation.FIELD_APPLICATION ),
    APPLICATION_MAX( Translation.FIELD_APPLICATION_MAX ),
    APPLICATIONS_GROUP( Translation.FIELD_APPLICATIONS_GROUP ),
    DOWNLOAD( Translation.FIELD_DOWNLOAD ),
    ENABLED( Translation.FIELD_ENABLED ),
    FILE_SIZE( Translation.FIELD_FILE_SIZE ),
    FULL_SCREEN( Translation.FIELD_FULL_SCREEN ),
    FULLNAME( Translation.FIELD_FULLNAME ),
    SCREENSHOT( Translation.FIELD_SCREENSHOT ),
    UPLOAD( Translation.FIELD_UPLOAD ),
    USERNAME( Translation.FIELD_USERNAME );

    private String valueForTranslation = null;

    private UserColumns( String valueForTranslation )
    {
        this.valueForTranslation = valueForTranslation;
    }

    public String getValueForTranslation()
    {
        return valueForTranslation;
    }

    public String getName()
    {
        return name();
    }

    public String getSortAscending()
    {
        return name();
    }

    public String getSortDescending()
    {
        return Database.ORDER_DESCENDING + name();
    }

}
