/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.icons;

import com.vaadin.flow.component.icon.Icon;

public enum BrandsIcon
{

    AMAZON( "amazon" ),
    AMAZONAWS( "amazonaws" ),
    AMD( "amd" ),
    AMERICANEXPRESS( "americanexpress" ),
    ANDROID( "android" ),
    ANGELLIST( "angellist" ),
    ANGULAR( "angular" ),
    ANGULARUNIVERSAL( "angularuniversal" ),
    APACHE( "apache" ),
    APPLE( "apple" ),
    APPLEMUSIC( "applemusic" ),
    APPLEPAY( "applepay" ),
    APPVEYOR( "appveyor" ),
    ARCHIVEOFOUROWN( "archiveofourown" ),
    ARCHLINUX( "archlinux" ),
    ARDUINO( "arduino" ),
    ARTSTATION( "artstation" ),
    ASANA( "asana" ),
    AT_AND_T( "at-and-t" ),
    ATLASSIAN( "atlassian" ),
    ATOM( "atom" ),
    AUDIBLE( "audible" ),
    AURELIA( "aurelia" ),
    AUTH0( "auth0" ),
    AUTOMATIC( "automatic" ),
    AUTOTASK( "autotask" ),
    AVENTRIX( "aventrix" ),
    AZUREDEVOPS( "azuredevops" ),
    AZUREPIPELINES( "azurepipelines" ),
    BAIDU( "baidu" ),
    BAMBOO( "bamboo" ),
    BANDCAMP( "bandcamp" ),
    BASECAMP( "basecamp" ),
    BATHASU( "bathasu" ),
    BEATS( "beats" ),
    BEHANCE( "behance" ),
    BIGCARTEL( "bigcartel" ),
    BING( "bing" ),
    BIT( "bit" ),
    BITBUCKET( "bitbucket" ),
    BITCOIN( "bitcoin" ),
    BITDEFENDER( "bitdefender" ),
    BITLY( "bitly" ),
    BLENDER( "blender" ),
    BLOGGER( "blogger" ),
    BOOST( "boost" ),
    BOOTSTRAP( "bootstrap" ),
    BOWER( "bower" ),
    BRAND_DOT_AI( "brand-dot-ai" ),
    BUDDY( "buddy" ),
    BUFFER( "buffer" ),
    BUYMEACOFFEE( "buymeacoffee" ),
    BUZZFEED( "buzzfeed" ),
    CAKEPHP( "cakephp" ),
    CAMPAIGNMONITOR( "campaignmonitor" ),
    CASHAPP( "cashapp" ),
    CASTORAMA( "castorama" ),
    CASTRO( "castro" ),
    CEVO( "cevo" ),
    CHASE( "chase" ),
    CIRCLE( "circle" ),
    CIRCLECI( "circleci" ),
    CIVICRM( "civicrm" ),
    CLOCKIFY( "clockify" ),
    CLOJURE( "clojure" ),
    CLOUDFLARE( "cloudflare" ),
    CMAKE( "cmake" ),
    CO_OP( "co-op" ),
    CODACY( "codacy" ),
    CODECADEMY( "codecademy" ),
    CODECLIMATE( "codeclimate" ),
    CODECOV( "codecov" ),
    CODEFORCES( "codeforces" ),
    CODEIGNITER( "codeigniter" ),
    CODEPEN( "codepen" ),
    CODERWALL( "coderwall" ),
    CODESANDBOX( "codesandbox" ),
    CODESHIP( "codeship" ),
    CODEWARS( "codewars" ),
    CODIO( "codio" ),
    COFFEESCRIPT( "coffeescript" ),
    COMMONWORKFLOWLANGUAGE( "commonworkflowlanguage" ),
    COMPROPAGO( "compropago" ),
    CONDA_FORGE( "conda-forge" ),
    CONEKTA( "conekta" ),
    CONFLUENCE( "confluence" ),
    COURSERA( "coursera" ),
    CPLUSPLUS( "cplusplus" ),
    CREATIVECOMMONS( "creativecommons" ),
    CRUNCHBASE( "crunchbase" ),
    CSS3( "css3" ),
    CSSWIZARDRY( "csswizardry" ),
    D3_DOT_JS( "d3-dot-js" ),
    DAILYMOTION( "dailymotion" ),
    DAZN( "dazn" ),
    DBLP( "dblp" ),
    DEBIAN( "debian" ),
    DEEZER( "deezer" ),
    DELICIOUS( "delicious" ),
    DELL( "dell" ),
    DENO( "deno" ),
    DEPENDABOT( "dependabot" ),
    DESIGNERNEWS( "designernews" ),
    DEV_DOT_TO( "dev-dot-to" ),
    DEVIANTART( "deviantart" ),
    DEVRANT( "devrant" ),
    DIASPORA( "diaspora" ),
    DIGG( "digg" ),
    DIGITALOCEAN( "digitalocean" ),
    DISCORD( "discord" ),
    DISCOURSE( "discourse" ),
    DISCOVER( "discover" ),
    DISQUS( "disqus" ),
    DISROOT( "disroot" ),
    DJANGO( "django" ),
    DOCKER( "docker" ),
    DOCUSIGN( "docusign" ),
    DOT_NET( "dot-net" ),
    DRAUGIEM_DOT_LV( "draugiem-dot-lv" ),
    DRIBBBLE( "dribbble" ),
    DRONE( "drone" ),
    DROPBOX( "dropbox" ),
    DRUPAL( "drupal" ),
    DTUBE( "dtube" ),
    DUCKDUCKGO( "duckduckgo" ),
    EBAY( "ebay" ),
    ECLIPSEIDE( "eclipseide" ),
    ELASTIC( "elastic" ),
    ELASTICCLOUD( "elasticcloud" ),
    ELASTICSEARCH( "elasticsearch" ),
    ELASTICSTACK( "elasticstack" ),
    ELECTRON( "electron" ),
    ELEMENTARY( "elementary" ),
    ELLO( "ello" ),
    EMPIREKRED( "empirekred" ),
    ENVATO( "envato" ),
    ESEA( "esea" ),
    ESLINT( "eslint" ),
    ETHEREUM( "ethereum" ),
    ETSY( "etsy" ),
    EVENTBRITE( "eventbrite" ),
    EVENTSTORE( "eventstore" ),
    EVERNOTE( "evernote" ),
    EVERPLACES( "everplaces" ),
    EVRY( "evry" ),
    EXPERTSEXCHANGE( "expertsexchange" ),
    F_SECURE( "f-secure" ),
    FACEBOOK( "facebook" ),
    FACEIT( "faceit" ),
    FANDANGO( "fandango" ),
    FAVRO( "favro" ),
    FEATHUB( "feathub" ),
    FEDORA( "fedora" ),
    FEEDLY( "feedly" ),
    FIDOALLIANCE( "fidoalliance" ),
    FIGMA( "figma" ),
    FILEZILLA( "filezilla" ),
    FIREBASE( "firebase" ),
    FITBIT( "fitbit" ),
    FLASK( "flask" ),
    FLATTR( "flattr" ),
    FLICKR( "flickr" ),
    FLIPBOARD( "flipboard" ),
    FLUTTER( "flutter" ),
    FNAC( "fnac" ),
    FOURSQUARE( "foursquare" ),
    FRAMER( "framer" ),
    FREEBSD( "freebsd" ),
    FREECODECAMP( "freecodecamp" ),
    FURAFFINITY( "furaffinity" ),
    FURRYNETWORK( "furrynetwork" ),
    GARMIN( "garmin" ),
    GATSBY( "gatsby" ),
    GAUGES( "gauges" ),
    GEOCACHING( "geocaching" ),
    GERRIT( "gerrit" ),
    GHOST( "ghost" ),
    GIT( "git" ),
    GITHUB( "github" ),
    GITLAB( "gitlab" ),
    GITTER( "gitter" ),
    GLASSDOOR( "glassdoor" ),
    GMAIL( "gmail" ),
    GNU( "gnu" ),
    GNUSOCIAL( "gnusocial" ),
    GO( "go" ),
    GOG_DOT_COM( "gog-dot-com" ),
    GOLDENLINE( "goldenline" ),
    GOODREADS( "goodreads" ),
    GOOGLE( "google" ),
    GOOGLEALLO( "googleallo" ),
    GOOGLEANALYTICS( "googleanalytics" ),
    GOOGLECHROME( "googlechrome" ),
    GOOGLEDRIVE( "googledrive" ),
    GOOGLEHANGOUTS( "googlehangouts" ),
    GOOGLEHANGOUTSCHAT( "googlehangoutschat" ),
    GOOGLEKEEP( "googlekeep" ),
    GOOGLEPAY( "googlepay" ),
    GOOGLEPLAY( "googleplay" ),
    GOOGLEPLUS( "googleplus" ),
    GOOGLEPODCASTS( "googlepodcasts" ),
    GOV_DOT_UK( "gov-dot-uk" ),
    GRAFANA( "grafana" ),
    GRAPHCOOL( "graphcool" ),
    GRAPHQL( "graphql" ),
    GRAV( "grav" ),
    GRAVATAR( "gravatar" ),
    GREENKEEPER( "greenkeeper" ),
    GROUPON( "groupon" ),
    GULP( "gulp" ),
    GUMROAD( "gumroad" ),
    GUMTREE( "gumtree" ),
    HACKADAY( "hackaday" ),
    HACKEREARTH( "hackerearth" ),
    HACKERRANK( "hackerrank" ),
    HACKHANDS( "hackhands" ),
    HACKSTER( "hackster" ),
    HASHNODE( "hashnode" ),
    HASKELL( "haskell" ),
    HATENABOOKMARK( "hatenabookmark" ),
    HERE( "here" ),
    HEROKU( "heroku" ),
    HEXO( "hexo" ),
    HIGHLY( "highly" ),
    HIPCHAT( "hipchat" ),
    HOCKEYAPP( "hockeyapp" ),
    HOMIFY( "homify" ),
    HOOTSUITE( "hootsuite" ),
    HOUZZ( "houzz" ),
    HTML5( "html5" ),
    HUAWEI( "huawei" ),
    HUBSPOT( "hubspot" ),
    HULU( "hulu" ),
    HUMBLEBUNDLE( "humblebundle" ),
    ICLOUD( "icloud" ),
    ICONJAR( "iconjar" ),
    ICQ( "icq" ),
    IFIXIT( "ifixit" ),
    IMDB( "imdb" ),
    INKSCAPE( "inkscape" ),
    INSTACART( "instacart" ),
    INSTAGRAM( "instagram" ),
    INSTAPAPER( "instapaper" ),
    INTEL( "intel" ),
    INTERCOM( "intercom" ),
    INTERNETEXPLORER( "internetexplorer" ),
    INVISION( "invision" ),
    IONIC( "ionic" ),
    ITCH_DOT_IO( "itch-dot-io" ),
    JABBER( "jabber" ),
    JAVA( "java" ),
    JAVASCRIPT( "javascript" ),
    JEKYLL( "jekyll" ),
    JENKINS( "jenkins" ),
    JEST( "jest" ),
    JIRA( "jira" ),
    JOOMLA( "joomla" ),
    JQUERY( "jquery" ),
    JSDELIVR( "jsdelivr" ),
    JSFIDDLE( "jsfiddle" ),
    JSON( "json" ),
    JUPYTER( "jupyter" ),
    JUSTGIVING( "justgiving" ),
    KAGGLE( "kaggle" ),
    KAIOS( "kaios" ),
    KENTICO( "kentico" ),
    KEYBASE( "keybase" ),
    KEYCDN( "keycdn" ),
    KHANACADEMY( "khanacademy" ),
    KIBANA( "kibana" ),
    KICKSTARTER( "kickstarter" ),
    KIK( "kik" ),
    KIRBY( "kirby" ),
    KLOUT( "klout" ),
    KNOWN( "known" ),
    KO_FI( "ko-fi" ),
    KODING( "koding" ),
    KOTLIN( "kotlin" ),
    KUBERNETES( "kubernetes" ),
    LANYRD( "lanyrd" ),
    LARAVEL( "laravel" ),
    LARAVELHORIZON( "laravelhorizon" ),
    LAST_DOT_FM( "last-dot-fm" ),
    LAUNCHPAD( "launchpad" ),
    LEETCODE( "leetcode" ),
    LETSENCRYPT( "letsencrypt" ),
    LETTERBOXD( "letterboxd" ),
    LGTM( "lgtm" ),
    LIBERAPAY( "liberapay" ),
    LIBRARYTHING( "librarything" ),
    LINE( "line" ),
    LINEWEBTOON( "linewebtoon" ),
    LINKEDIN( "linkedin" ),
    LINUX( "linux" ),
    LINUXFOUNDATION( "linuxfoundation" ),
    LINUXMINT( "linuxmint" ),
    LIVEJOURNAL( "livejournal" ),
    LIVESTREAM( "livestream" ),
    LOGSTASH( "logstash" ),
    LUA( "lua" ),
    MACYS( "macys" ),
    MAGENTO( "magento" ),
    MAGISK( "magisk" ),
    MAIL_DOT_RU( "mail-dot-ru" ),
    MAILCHIMP( "mailchimp" ),
    MAKERBOT( "makerbot" ),
    MANJARO( "manjaro" ),
    MARKDOWN( "markdown" ),
    MARKETO( "marketo" ),
    MASTERCARD( "mastercard" ),
    MASTODON( "mastodon" ),
    MATERIALDESIGN( "materialdesign" ),
    MATHWORKS( "mathworks" ),
    MATRIX( "matrix" ),
    MATTERNET( "matternet" ),
    MEDIAFIRE( "mediafire" ),
    MEDIATEMPLE( "mediatemple" ),
    MEDIUM( "medium" ),
    MEETUP( "meetup" ),
    MEGA( "mega" ),
    MESSENGER( "messenger" ),
    METEOR( "meteor" ),
    MICRO_DOT_BLOG( "micro-dot-blog" ),
    MICROGENETICS( "microgenetics" ),
    MICROSOFT( "microsoft" ),
    MICROSOFTACCESS( "microsoftaccess" ),
    MICROSOFTAZURE( "microsoftazure" ),
    MICROSOFTEDGE( "microsoftedge" ),
    MICROSOFTEXCEL( "microsoftexcel" ),
    MICROSOFTONEDRIVE( "microsoftonedrive" ),
    MICROSOFTONENOTE( "microsoftonenote" ),
    MICROSOFTOUTLOOK( "microsoftoutlook" ),
    MICROSOFTPOWERPOINT( "microsoftpowerpoint" ),
    MICROSOFTWORD( "microsoftword" ),
    MINUTEMAILER( "minutemailer" ),
    MIX( "mix" ),
    MIXCLOUD( "mixcloud" ),
    MIXER( "mixer" ),
    MONERO( "monero" ),
    MONGODB( "mongodb" ),
    MONKEYTIE( "monkeytie" ),
    MONOGRAM( "monogram" ),
    MONZO( "monzo" ),
    MOO( "moo" ),
    MOZILLA( "mozilla" ),
    MOZILLAFIREFOX( "mozillafirefox" ),
    MXLINUX( "mxlinux" ),
    MYSPACE( "myspace" ),
    MYSQL( "mysql" ),
    NATIVESCRIPT( "nativescript" ),
    NEO4J( "neo4j" ),
    NETFLIX( "netflix" ),
    NETLIFY( "netlify" ),
    NEXT_DOT_JS( "next-dot-js" ),
    NEXTCLOUD( "nextcloud" ),
    NEXTDOOR( "nextdoor" ),
    NGINX( "nginx" ),
    NINTENDO( "nintendo" ),
    NINTENDOGAMECUBE( "nintendogamecube" ),
    NINTENDOSWITCH( "nintendoswitch" ),
    NODE_DOT_JS( "node-dot-js" ),
    NODEMON( "nodemon" ),
    NPM( "npm" ),
    NUCLEO( "nucleo" ),
    NUGET( "nuget" ),
    NUXT_DOT_JS( "nuxt-dot-js" ),
    NVIDIA( "nvidia" ),
    OCTOPUSDEPLOY( "octopusdeploy" ),
    OCULUS( "oculus" ),
    ODNOKLASSNIKI( "odnoklassniki" ),
    OPENACCESS( "openaccess" ),
    OPENSTREETMAP( "openstreetmap" ),
    OPENSUSE( "opensuse" ),
    OPERA( "opera" ),
    OPSGENIE( "opsgenie" ),
    ORACLE( "oracle" ),
    ORIGIN( "origin" ),
    OSMC( "osmc" ),
    OVERCAST( "overcast" ),
    OVH( "ovh" ),
    PAGEKIT( "pagekit" ),
    PANDORA( "pandora" ),
    PATREON( "patreon" ),
    PAYPAL( "paypal" ),
    PERISCOPE( "periscope" ),
    PHP( "php" ),
    PICARTO_DOT_TV( "picarto-dot-tv" ),
    PINBOARD( "pinboard" ),
    PINGDOM( "pingdom" ),
    PINGUP( "pingup" ),
    PINTEREST( "pinterest" ),
    PIVOTALTRACKER( "pivotaltracker" ),
    PLANGRID( "plangrid" ),
    PLAYER_DOT_ME( "player-dot-me" ),
    PLAYSTATION( "playstation" ),
    PLAYSTATION3( "playstation3" ),
    PLAYSTATION4( "playstation4" ),
    PLEX( "plex" ),
    PLURALSIGHT( "pluralsight" ),
    PLURK( "plurk" ),
    POCKET( "pocket" ),
    PODCASTS( "podcasts" ),
    POSTGRESQL( "postgresql" ),
    POSTMAN( "postman" ),
    POWERSHELL( "powershell" ),
    PRISMIC( "prismic" ),
    PROBOT( "probot" ),
    PROCESSWIRE( "processwire" ),
    PRODUCTHUNT( "producthunt" ),
    PROTO_DOT_IO( "proto-dot-io" ),
    PROTONMAIL( "protonmail" ),
    PROXMOX( "proxmox" ),
    PYPI( "pypi" ),
    PYTHON( "python" ),
    QIITA( "qiita" ),
    QUALCOMM( "qualcomm" ),
    QUANTCAST( "quantcast" ),
    QUANTOPIAN( "quantopian" ),
    QUORA( "quora" ),
    QWIKLABS( "qwiklabs" ),
    QZONE( "qzone" ),
    R( "r" ),
    RAILS( "rails" ),
    RASPBERRYPI( "raspberrypi" ),
    REACT( "react" ),
    READTHEDOCS( "readthedocs" ),
    REASON( "reason" ),
    REDBUBBLE( "redbubble" ),
    REDDIT( "reddit" ),
    REDHAT( "redhat" ),
    REDIS( "redis" ),
    REDUX( "redux" ),
    RENREN( "renren" ),
    REVERBNATION( "reverbnation" ),
    RIOT( "riot" ),
    RISEUP( "riseup" ),
    ROLLUP_DOT_JS( "rollup-dot-js" ),
    ROOTS( "roots" ),
    RSS( "rss" ),
    RUBY( "ruby" ),
    RUBYGEMS( "rubygems" ),
    RUNKEEPER( "runkeeper" ),
    RUST( "rust" ),
    SAFARI( "safari" ),
    SALESFORCE( "salesforce" ),
    SAMSUNG( "samsung" ),
    SAMSUNGPAY( "samsungpay" ),
    SAP( "sap" ),
    SASS( "sass" ),
    SAUCELABS( "saucelabs" ),
    SCALA( "scala" ),
    SCALEWAY( "scaleway" ),
    SCRIBD( "scribd" ),
    SCRUTINIZERCI( "scrutinizerci" ),
    SEGA( "sega" ),
    SELLFY( "sellfy" ),
    SENSU( "sensu" ),
    SENTRY( "sentry" ),
    SERVERFAULT( "serverfault" ),
    SHAZAM( "shazam" ),
    SHOPIFY( "shopify" ),
    SIGNAL( "signal" ),
    SIMPLEICONS( "simpleicons" ),
    SINAWEIBO( "sinaweibo" ),
    SITEPOINT( "sitepoint" ),
    SKYLINER( "skyliner" ),
    SKYPE( "skype" ),
    SLACK( "slack" ),
    SLASHDOT( "slashdot" ),
    SLICKPIC( "slickpic" ),
    SLIDES( "slides" ),
    SMASHINGMAGAZINE( "smashingmagazine" ),
    SNAPCHAT( "snapchat" ),
    SNAPCRAFT( "snapcraft" ),
    SNYK( "snyk" ),
    SOCIETY6( "society6" ),
    SOGOU( "sogou" ),
    SONGKICK( "songkick" ),
    SOUNDCLOUD( "soundcloud" ),
    SOURCEFORGE( "sourceforge" ),
    SOURCEGRAPH( "sourcegraph" ),
    SPACEMACS( "spacemacs" ),
    SPARKFUN( "sparkfun" ),
    SPARKPOST( "sparkpost" ),
    SPDX( "spdx" ),
    SPEAKERDECK( "speakerdeck" ),
    SPOTIFY( "spotify" ),
    SPOTLIGHT( "spotlight" ),
    SPREAKER( "spreaker" ),
    SPRINT( "sprint" ),
    SQUARESPACE( "squarespace" ),
    STACKEXCHANGE( "stackexchange" ),
    STACKOVERFLOW( "stackoverflow" ),
    STACKSHARE( "stackshare" ),
    STADIA( "stadia" ),
    STATAMIC( "statamic" ),
    STATICMAN( "staticman" ),
    STATUSPAGE( "statuspage" ),
    STEAM( "steam" ),
    STEEM( "steem" ),
    STEEMIT( "steemit" ),
    STITCHER( "stitcher" ),
    STORIFY( "storify" ),
    STRAVA( "strava" ),
    STRIPE( "stripe" ),
    STUBHUB( "stubhub" ),
    STYLESHARE( "styleshare" ),
    STYLUS( "stylus" ),
    SUBLIMETEXT( "sublimetext" ),
    SUBVERSION( "subversion" ),
    SUPERUSER( "superuser" ),
    SWARM( "swarm" ),
    SWIFT( "swift" ),
    SYMFONY( "symfony" ),
    SYNOLOGY( "synology" ),
    T_MOBILE( "t-mobile" ),
    TAILS( "tails" ),
    TAPAS( "tapas" ),
    TEAMVIEWER( "teamviewer" ),
    TED( "ted" ),
    TEESPRING( "teespring" ),
    TELEGRAM( "telegram" ),
    TENCENTQQ( "tencentqq" ),
    TENCENTWEIBO( "tencentweibo" ),
    TESLA( "tesla" ),
    THEMIGHTY( "themighty" ),
    THEMOVIEDATABASE( "themoviedatabase" ),
    TIDAL( "tidal" ),
    TIKTOK( "tiktok" ),
    TINDER( "tinder" ),
    TODOIST( "todoist" ),
    TOGGL( "toggl" ),
    TOPCODER( "topcoder" ),
    TOPTAL( "toptal" ),
    TOR( "tor" ),
    TRAINERROAD( "trainerroad" ),
    TRAKT( "trakt" ),
    TRAVISCI( "travisci" ),
    TREEHOUSE( "treehouse" ),
    TRELLO( "trello" ),
    TRIPADVISOR( "tripadvisor" ),
    TRULIA( "trulia" ),
    TUMBLR( "tumblr" ),
    TWILIO( "twilio" ),
    TWITCH( "twitch" ),
    TWITTER( "twitter" ),
    TWOO( "twoo" ),
    TYPESCRIPT( "typescript" ),
    TYPO3( "typo3" ),
    UBER( "uber" ),
    UBISOFT( "ubisoft" ),
    UBUNTU( "ubuntu" ),
    UDACITY( "udacity" ),
    UDEMY( "udemy" ),
    UIKIT( "uikit" ),
    UMBRACO( "umbraco" ),
    UNITY( "unity" ),
    UNSPLASH( "unsplash" ),
    UNTAPPD( "untappd" ),
    UPWORK( "upwork" ),
    V8( "v8" ),
    VAGRANT( "vagrant" ),
    VENMO( "venmo" ),
    VERIZON( "verizon" ),
    VIADEO( "viadeo" ),
    VIBER( "viber" ),
    VIM( "vim" ),
    VIMEO( "vimeo" ),
    VINE( "vine" ),
    VIRB( "virb" ),
    VISA( "visa" ),
    VISUALSTUDIOCODE( "visualstudiocode" ),
    VK( "vk" ),
    VLCMEDIAPLAYER( "vlcmediaplayer" ),
    VSCO( "vsco" ),
    VUE_DOT_JS( "vue-dot-js" ),
    WATTPAD( "wattpad" ),
    WEASYL( "weasyl" ),
    WEBCOMPONENTS_DOT_ORG( "webcomponents-dot-org" ),
    WEBPACK( "webpack" ),
    WEBSTORM( "webstorm" ),
    WECHAT( "wechat" ),
    WHATSAPP( "whatsapp" ),
    WHENIWORK( "wheniwork" ),
    WII( "wii" ),
    WIIU( "wiiu" ),
    WIKIPEDIA( "wikipedia" ),
    WINDOWS( "windows" ),
    WIRE( "wire" ),
    WIX( "wix" ),
    WOLFRAM( "wolfram" ),
    WOLFRAMLANGUAGE( "wolframlanguage" ),
    WOLFRAMMATHEMATICA( "wolframmathematica" ),
    WORDPRESS( "wordpress" ),
    WPENGINE( "wpengine" ),
    X_PACK( "x-pack" ),
    XBOX( "xbox" ),
    XCODE( "xcode" ),
    XERO( "xero" ),
    XING( "xing" ),
    XSPLIT( "xsplit" ),
    YAHOO( "yahoo" ),
    YAMMER( "yammer" ),
    YANDEX( "yandex" ),
    YARN( "yarn" ),
    YCOMBINATOR( "ycombinator" ),
    YELP( "yelp" ),
    YOUTUBE( "youtube" ),
    ZAPIER( "zapier" ),
    ZEIT( "zeit" ),
    ZENDESK( "zendesk" ),
    ZERPLY( "zerply" ),
    ZILLOW( "zillow" ),
    ZORIN( "zorin" );

    private static final String ICON_NAME = "%s:%s";

    private static final String ICON_NAME_SEPARATOR = ":";

    public static final String ICON_COLLECTION_NAME = "brands";

    public static final String ICON_DESCRIPTION = "Brands";

    private String name;

    BrandsIcon( String name )
    {
        this.name = name;
    }

    @SuppressWarnings( "deprecation" )
    public Icon create()
    {
        return new Icon( ICON_COLLECTION_NAME, name );
    }

    public String getIconName()
    {
        return String.format( ICON_NAME, ICON_COLLECTION_NAME, name );
    }
    

    public String getIconCollectionName( String iconName )
    {
        return iconName.split( ICON_NAME_SEPARATOR )[0];
    }


}
