/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.dussan.vaadin.dvirtual.ui.applicationgroups;

import org.dussan.vaadin.dvirtual.i18n.Translation;
import org.dussan.vaadin.dvirtual.utils.VirtualUtil;
import org.dussan.vaadin.dvirtual.utils.dialog.DialogRemoveUtil;

public abstract class ApplicationsGroupRemoveDialog
    extends DialogRemoveUtil
{

    private static final long serialVersionUID = -8720667727710838942L;

    public ApplicationsGroupRemoveDialog( String message, VirtualUtil virtualUtil )
    {
        setMessage( message );
        setCloseButtonText( virtualUtil.getTranslation( Translation.BUTTON_CANCEL ) );
        setRemoveButtonText( virtualUtil.getTranslation( Translation.BUTTON_REMOVE_APPLICATIONS_GROUP ) );
        setDeleteButtonClickListener( event -> {
            savingData();
            close();
        } );
    }

    public abstract void savingData();

}
