/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.utils;

import dev.mett.vaadin.tooltip.config.TC_PLACEMENT;
import dev.mett.vaadin.tooltip.config.TooltipConfiguration;

public class TooltipConfigurationUtil
    extends TooltipConfiguration
{

    private static final long serialVersionUID = -4010346627927820399L;

    private static final int HIDE_DELAY = 100;

    private static final int SHOW_DELAY = 1000;

    public TooltipConfigurationUtil( String tooltipText )
    {
        setContent( tooltipText );
        setDelay( SHOW_DELAY, HIDE_DELAY );
        setMaxWidthNone();
        setPlacement( TC_PLACEMENT.BOTTOM );
    }

}
