/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.utils.dialog;

import org.dussan.vaadin.dvirtual.utils.dialog.common.DialogUtil;

import com.vaadin.flow.component.html.Label;
import com.vaadin.flow.component.icon.Icon;
import com.vaadin.flow.component.icon.VaadinIcon;
import com.vaadin.flow.component.orderedlayout.FlexComponent.Alignment;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;

public class DialogErrorUtil
    extends DialogUtil
{

    private static final long serialVersionUID = -8470555752877541909L;
    
    public static final String ERROR_DVIRTUAL = "Cannot continue, dVirtual not initialized!";

    private static final String HEIGHT = "80px";

    private static final String ICON_SIZE = "42px";

    private static final String WIDTH = "400px";

    private static final String STYLE_COLOR = "color";

    private static final String STYLE_COLOR_VALUE = "red";

    private static final String STYLE_FONT_SIZE = "font-size";

    private static final String STYLE_FONT_SIZE_VALUE = "16px";

    public DialogErrorUtil( String message )
    {
        setWidth( WIDTH );
        setHeight( HEIGHT );

        Icon icon = new Icon( VaadinIcon.BOMB );
        icon.setSize( ICON_SIZE );
        icon.getElement()
            .getStyle()
            .set( STYLE_COLOR, STYLE_COLOR_VALUE );

        Label label = new Label( message );
        label.getElement()
             .getStyle()
             .set( STYLE_COLOR, STYLE_COLOR_VALUE )
             .set( STYLE_FONT_SIZE, STYLE_FONT_SIZE_VALUE );

        HorizontalLayout layout = new HorizontalLayout();
        layout.setDefaultVerticalComponentAlignment( Alignment.CENTER );
        layout.setSizeFull();
        layout.add( icon, label );
        add( layout );
    }

}
